> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a team

> Delete a team.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json delete /teams/{teamId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /teams/{teamId}:
    delete:
      tags:
        - Team
      summary: Delete a team
      description: Delete a team.
      operationId: DeleteTeam
      parameters:
        - in: path
          name: teamId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDocument'
      security:
        - jwt: []
components:
  schemas:
    TeamDocument:
      allOf:
        - $ref: '#/components/schemas/TeamI'
        - $ref: '#/components/schemas/Document'
    TeamI:
      $ref: '#/components/schemas/InferSchemaType_typeofteamSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofteamSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofteamSchema.any.ObtainSchemaGeneric_typeofteamSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofteamSchema.any.ObtainSchemaGeneric_typeofteamSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            operatingHours:
              properties:
                staticTranslations:
                  properties:
                    outOfOfficeMessage: {}
                  type: object
                replyTime: {}
                timezone:
                  type: string
                openingTimes:
                  items:
                    properties:
                      closingTime:
                        type: string
                      openingTime:
                        type: string
                      day:
                        type: string
                      replyTime: {}
                    type: object
                  type: array
                alwaysOnline:
                  type: boolean
                enabled:
                  type: boolean
              required:
                - openingTimes
                - alwaysOnline
                - enabled
              type: object
            project:
              $ref: '#/components/schemas/ObjectId'
            slaOptions:
              properties:
                defaultSla:
                  type: number
                  format: double
              type: object
            name:
              type: string
            ticketAmount:
              type: number
              format: double
            limitTicketAmount:
              type: boolean
            needQueueRerun:
              type: boolean
            selectOnlyOnlineMembers:
              type: boolean
            members:
              items:
                $ref: '#/components/schemas/ObjectId'
              type: array
            assignmentMethod:
              enum:
                - random
                - balanced
                - manual
                - circular
              type: string
          required:
            - ticketAmount
            - limitTicketAmount
            - needQueueRerun
            - selectOnlyOnlineMembers
            - members
            - assignmentMethod
          type: object
    NativeDate:
      type: string
    ObjectId:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````